// //////////////////////////////////////////////////////////////////////////
// Header file ConflictTextBufferListener.h for class ConflictTextBufferListener
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/06/15
// //////////////////////////////////////////////////////////////////////////
#ifndef CONFLICTTEXTBUFFERLISTENER_H
#define CONFLICTTEXTBUFFERLISTENER_H

class ConflictTextBuffer;

/*! \class ConflictTextBufferListener
 * \brief This class represents a listener for ConflictTextBuffer.
 */
class ConflictTextBufferListener
{
public:
  /*! Destructor.
   */
  virtual ~ConflictTextBufferListener();

  virtual void textBufferModified( ConflictTextBuffer *buffer,
                                   bool bIsModified ) =0;
private:
};



// Inlines methods for ConflictTextBufferListener:
// -----------------------------------------------



#endif  // CONFLICTTEXTBUFFERLISTENER_H
